#!/usr/bin/python
# -* coding: iso-8859-1 -*-
"""
**********************************************************************
File Name:             Test_SxPi.py
Dev:                   Daniele De Santis
Email:                 desantis@areasx.com
Web:                   http://www.areasx.com

Versione:              0.0
Data:                  12/10/15
Note Hardware:  
Note Software: 
**********************************************************************
"""
import time
import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BOARD) #indicazione pin fisici  
#Test LED p13 11
GPIO.setup(13, GPIO.OUT, initial=GPIO.LOW) #OUT LED RED
GPIO.setup(11, GPIO.OUT, initial=GPIO.LOW) #OUT LED GREEN
#Uscite Open Collector
GPIO.setup(24, GPIO.OUT, initial=GPIO.LOW) #OUT Out OC 1
GPIO.setup(26, GPIO.OUT, initial=GPIO.LOW) #OUT Out OC 2
#Ingresso Optoisolato
GPIO.setup(19, GPIO.IN,  pull_up_down=GPIO.PUD_UP)
GPIO.setup(21, GPIO.IN,  pull_up_down=GPIO.PUD_UP)
#Ingresso Tasto Reset
GPIO.setup(7, GPIO.IN, pull_up_down=GPIO.PUD_UP)
#Linne controllo Modem
GPIO.setup(12, GPIO.IN,  pull_up_down=GPIO.PUD_UP) #State
GPIO.setup(15, GPIO.OUT, initial=GPIO.LOW) #Power
GPIO.setup(23, GPIO.OUT, initial=GPIO.LOW) #Reset


while(1):
  print "LED OFF"
  GPIO.output(13, False) #Led Rosso off
  GPIO.output(11, True)  #Led Verde on
  time.sleep(1.5)
  print "LED ON"
  GPIO.output(13, True)
  GPIO.output(11, False)
  
  #Test ingressi OPTO
  print "Test Ingressi Optoisolati"
  if(GPIO.input(19)==0):
    print "IN1 OPTO OK"
  if(GPIO.input(21)==0):
    print "IN2 OPTO OK"
  if(GPIO.input(7)==0):
    print "Pulsante chiuso"
  
  print "Test Uscite Open Collector"
  print "OC ON"
  GPIO.output(24, True)
  GPIO.output(26, True)
  time.sleep(1.5)
  print "OC OFF"
  GPIO.output(24, False)
  GPIO.output(26, False)


